# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

### [0.12.15](https://dev.azure.com/dwrdev/_git/projector/branchCompare?baseVersion=GTv0.12.14&targetVersion=GTv0.12.15) (2021-04-25)


### Bug Fixes

* Use agile template type ID for newly created projects ([7b07607](https://dev.azure.com/dwrdev/_git/projector/commit/7b076073903303e8432389db5026a23e2e174779))

### [0.12.14](https://dev.azure.com/dwrdev/_git/projector/branchCompare?baseVersion=GTv0.12.13&targetVersion=GTv0.12.14) (2021-04-22)


### Features

* Interactive Option Library ([91eff16](https://dev.azure.com/dwrdev/_git/projector/commit/91eff168f2603dc642f9b3106e2a701ddd59f7d7))

### [0.12.13](https://dev.azure.com/dwrdev/_git/projector/branchCompare?baseVersion=GTv0.12.12&targetVersion=GTv0.12.13) (2021-04-22)


### Features

* Interactive Option functionality ([0c8664d](https://dev.azure.com/dwrdev/_git/projector/commit/0c8664d8c03fc820ce154c493897e9bbd8ae2524))

### [0.12.12](https://dev.azure.com/dwrdev/_git/projector/branchCompare?baseVersion=GTv0.12.11&targetVersion=GTv0.12.12) (2021-04-21)


### Bug Fixes

* Fix code smells and remove inactive sonar cloud links ([88d9494](https://dev.azure.com/dwrdev/_git/projector/commit/88d9494bfd1fb800c7837cdc769887fce1cd3b18))

### [0.12.11](https://dev.azure.com/dwrdev/_git/projector/branchCompare?baseVersion=GTv0.12.10&targetVersion=GTv0.12.11) (2021-04-20)


### Bug Fixes

* Fix changelog links and versionrc ([38388ff](https://dev.azure.com/dwrdev/_git/projector/commit/38388ff4604db2f1aca38f41381114d11a2cc756))

### [0.12.10](https://dev.azure.com/dwrdev/_git/projector/branchCompare?baseVersion=GTv0.12.9&targetVersion=GTv0.12.10) (2021-04-20)

### [0.12.9](https://dev.azure.com/dwrdev/_git/projector/branchCompare?baseVersion=GTv0.12.7&targetVersion=GTv0.12.9) (2021-04-20)

### [0.12.8](https://dev.azure.com/dwrdev/_git/projector/branchCompare?baseVersion=GTv0.12.7&targetVersion=GTv0.12.8) (2021-04-20)

### [0.12.7](https://dev.azure.com/dwrdev/_git/projector/branchCompare?baseVersion=GTv0.12.6&targetVersion=GTv0.12.7) (2021-04-19)


### Features

* Add yaml support to object service ([eb30ca3](https://dev.azure.com/dwrdev/_git/projector/commit/eb30ca3375691312758e4f61c2dc48a13c1def0d))

### 0.12.6 (2021-04-18)


### Features

* add ability to create project ([#50](projector-cli/projector/issues/50)) ([a51a790](https://dev.azure.com/dwrdev/_git/projector/commit/a51a790238fafdceea46e64667e9f7f96c94d6d6)), closes [#48](projector-cli/projector/issues/48)
* AzDo Markdown Linting and Build and Test Pipelines ([7f25d32](https://dev.azure.com/dwrdev/_git/projector/commit/7f25d3292c7bf820e1c14420fe88a1e7f2a5df32))
* AzDO Work Item Creation ([#27](projector-cli/projector/issues/27)) ([0ee09e3](https://dev.azure.com/dwrdev/_git/projector/commit/0ee09e3d9c17b922cd5e390be75f49dab6274b09))
* Azure DevOps Repo CRUD Operations ([#35](projector-cli/projector/issues/35)) ([5cd6bf0](https://dev.azure.com/dwrdev/_git/projector/commit/5cd6bf088d026ec14a98d31b03ff5c6776594f1d))
* Copy content from playbook ([0081572](https://dev.azure.com/dwrdev/_git/projector/commit/00815722cb6ad56966c9f0e6901d5c311e4e0118))
* Copy work item templates from playbook repo and fix broken tests ([#73](projector-cli/projector/issues/73)) ([3e40418](https://dev.azure.com/dwrdev/_git/projector/commit/3e404181cff3ab5f7584c4a2613f45565ac68aa5))
* Create repo command ([#49](projector-cli/projector/issues/49)) ([f709082](https://dev.azure.com/dwrdev/_git/projector/commit/f70908288d40dd59b2e56e954c524d9d75742381))
* Creating sprints from CLI and rename to agile ([#13](projector-cli/projector/issues/13)) ([a5c94d9](https://dev.azure.com/dwrdev/_git/projector/commit/a5c94d9d9bd26467b6bc36d9fd7fd8ae84d0d505))
* Creating Sprints in Azure DevOps ([#12](projector-cli/projector/issues/12)) ([868e031](https://dev.azure.com/dwrdev/_git/projector/commit/868e0317caaf984c98cbcdd98438023e4c4d2ceb))
* GitHub Agile Provider ([#74](projector-cli/projector/issues/74)) ([02088cd](https://dev.azure.com/dwrdev/_git/projector/commit/02088cd71f2dbd291ad3cb2679c228445237dfc2))
* Move code's target branch to main ([7400cf6](https://dev.azure.com/dwrdev/_git/projector/commit/7400cf6af9c85345982ce8b653a6b40e8ac83d5c))
* Onboarding script ([#3](projector-cli/projector/issues/3)) ([25e864b](https://dev.azure.com/dwrdev/_git/projector/commit/25e864b4e3599ad0040bb4a973f96125fee8cb8a))
* Playbook template list ([#41](projector-cli/projector/issues/41)) ([86f2d94](https://dev.azure.com/dwrdev/_git/projector/commit/86f2d943b0df95bb9144033d2e798f2abb6ed3af))
* Repo Service Implementation ([5117c6f](https://dev.azure.com/dwrdev/_git/projector/commit/5117c6f4fa8108ce30439b2187cd43560496813d))
* String interpolation ([#41](projector-cli/projector/issues/41)) ([f25010b](https://dev.azure.com/dwrdev/_git/projector/commit/f25010bfd110938f21d73c0600acd87e583ba84a))


### Bug Fixes

* Better user messages ([#55](projector-cli/projector/issues/55)) ([8527df1](https://dev.azure.com/dwrdev/_git/projector/commit/8527df1a8e0c9f97dbf10141952c7aa9beb67ce1))
* Fix code smells from static analysis ([#38](projector-cli/projector/issues/38)) ([09f4f87](https://dev.azure.com/dwrdev/_git/projector/commit/09f4f877228a100af7313fb3baf70f61f7276eae))
* Fix linting issues ([#75](projector-cli/projector/issues/75)) ([08d2240](https://dev.azure.com/dwrdev/_git/projector/commit/08d2240d287e0ce478b8bb16e75a8e63f85ea3d2))
* number of sprints bug ([#54](projector-cli/projector/issues/54)) ([a2b5ba2](https://dev.azure.com/dwrdev/_git/projector/commit/a2b5ba25129e862808642e2ce9544b07618e73f3))
* README and CI polishing ([6ee0c09](https://dev.azure.com/dwrdev/_git/projector/commit/6ee0c0996f536219cf6545f7b03d06a69c9b8d8e))
* Remove sprint name pattern configuration ([#45](projector-cli/projector/issues/45)) ([4fc8cd1](https://dev.azure.com/dwrdev/_git/projector/commit/4fc8cd19d8f86350b4ea862318ef9a5c021d72cb))
* Removes catch to log pattern. ([#15](projector-cli/projector/issues/15)) ([2e43ce6](https://dev.azure.com/dwrdev/_git/projector/commit/2e43ce6e3831a4c3e8025a32067b8417153dd674))
* Rename RegisterBacklogServiceProviders ([#28](projector-cli/projector/issues/28)) ([8ceb603](https://dev.azure.com/dwrdev/_git/projector/commit/8ceb6037209883d79e50714a5dc73846f9c2792c))
* Set environment variable to fail tests on unhandled promise rejection ([#64](projector-cli/projector/issues/64)) ([9f5b68c](https://dev.azure.com/dwrdev/_git/projector/commit/9f5b68c54f3934c2e8fc5f6032e462ebfce574f5))
* Update init to include repo config ([#60](projector-cli/projector/issues/60)) ([d32b5c2](https://dev.azure.com/dwrdev/_git/projector/commit/d32b5c22bb5f8797b5a9cbf6f37ff4c6ff984d80))
* update linting errors in UserUtils and downloadTemplates ([aa49aa8](https://dev.azure.com/dwrdev/_git/projector/commit/aa49aa89d66da605fa05c45f4ebc224f9fe74394))

### [0.12.5](https://dev.azure.com/dwrdev/_git/projector/branchCompare?baseVersion=GTv0.12.4&targetVersion=GTv0.12.5) (2021-04-17)

### 0.12.4 (2021-04-17)


### Features

* add ability to create project ([#50](projector-cli/projector/issues/50)) ([a51a790](https://dev.azure.com/dwrdev/_git/projector/commit/a51a790238fafdceea46e64667e9f7f96c94d6d6)), closes [#48](projector-cli/projector/issues/48)
* AzDo Markdown Linting and Build and Test Pipelines ([7f25d32](https://dev.azure.com/dwrdev/_git/projector/commit/7f25d3292c7bf820e1c14420fe88a1e7f2a5df32))
* AzDO Work Item Creation ([#27](projector-cli/projector/issues/27)) ([0ee09e3](https://dev.azure.com/dwrdev/_git/projector/commit/0ee09e3d9c17b922cd5e390be75f49dab6274b09))
* Azure DevOps Repo CRUD Operations ([#35](projector-cli/projector/issues/35)) ([5cd6bf0](https://dev.azure.com/dwrdev/_git/projector/commit/5cd6bf088d026ec14a98d31b03ff5c6776594f1d))
* Copy content from playbook ([0081572](https://dev.azure.com/dwrdev/_git/projector/commit/00815722cb6ad56966c9f0e6901d5c311e4e0118))
* Copy work item templates from playbook repo and fix broken tests ([#73](projector-cli/projector/issues/73)) ([3e40418](https://dev.azure.com/dwrdev/_git/projector/commit/3e404181cff3ab5f7584c4a2613f45565ac68aa5))
* Create repo command ([#49](projector-cli/projector/issues/49)) ([f709082](https://dev.azure.com/dwrdev/_git/projector/commit/f70908288d40dd59b2e56e954c524d9d75742381))
* Creating sprints from CLI and rename to agile ([#13](projector-cli/projector/issues/13)) ([a5c94d9](https://dev.azure.com/dwrdev/_git/projector/commit/a5c94d9d9bd26467b6bc36d9fd7fd8ae84d0d505))
* Creating Sprints in Azure DevOps ([#12](projector-cli/projector/issues/12)) ([868e031](https://dev.azure.com/dwrdev/_git/projector/commit/868e0317caaf984c98cbcdd98438023e4c4d2ceb))
* GitHub Agile Provider ([#74](projector-cli/projector/issues/74)) ([02088cd](https://dev.azure.com/dwrdev/_git/projector/commit/02088cd71f2dbd291ad3cb2679c228445237dfc2))
* Move code's target branch to main ([7400cf6](https://dev.azure.com/dwrdev/_git/projector/commit/7400cf6af9c85345982ce8b653a6b40e8ac83d5c))
* Onboarding script ([#3](projector-cli/projector/issues/3)) ([25e864b](https://dev.azure.com/dwrdev/_git/projector/commit/25e864b4e3599ad0040bb4a973f96125fee8cb8a))
* Playbook template list ([#41](projector-cli/projector/issues/41)) ([86f2d94](https://dev.azure.com/dwrdev/_git/projector/commit/86f2d943b0df95bb9144033d2e798f2abb6ed3af))
* Repo Service Implementation ([5117c6f](https://dev.azure.com/dwrdev/_git/projector/commit/5117c6f4fa8108ce30439b2187cd43560496813d))
* String interpolation ([#41](projector-cli/projector/issues/41)) ([f25010b](https://dev.azure.com/dwrdev/_git/projector/commit/f25010bfd110938f21d73c0600acd87e583ba84a))


### Bug Fixes

* Better user messages ([#55](projector-cli/projector/issues/55)) ([8527df1](https://dev.azure.com/dwrdev/_git/projector/commit/8527df1a8e0c9f97dbf10141952c7aa9beb67ce1))
* Fix code smells from static analysis ([#38](projector-cli/projector/issues/38)) ([09f4f87](https://dev.azure.com/dwrdev/_git/projector/commit/09f4f877228a100af7313fb3baf70f61f7276eae))
* Fix linting issues ([#75](projector-cli/projector/issues/75)) ([08d2240](https://dev.azure.com/dwrdev/_git/projector/commit/08d2240d287e0ce478b8bb16e75a8e63f85ea3d2))
* number of sprints bug ([#54](projector-cli/projector/issues/54)) ([a2b5ba2](https://dev.azure.com/dwrdev/_git/projector/commit/a2b5ba25129e862808642e2ce9544b07618e73f3))
* README and CI polishing ([6ee0c09](https://dev.azure.com/dwrdev/_git/projector/commit/6ee0c0996f536219cf6545f7b03d06a69c9b8d8e))
* Remove sprint name pattern configuration ([#45](projector-cli/projector/issues/45)) ([4fc8cd1](https://dev.azure.com/dwrdev/_git/projector/commit/4fc8cd19d8f86350b4ea862318ef9a5c021d72cb))
* Removes catch to log pattern. ([#15](projector-cli/projector/issues/15)) ([2e43ce6](https://dev.azure.com/dwrdev/_git/projector/commit/2e43ce6e3831a4c3e8025a32067b8417153dd674))
* Rename RegisterBacklogServiceProviders ([#28](projector-cli/projector/issues/28)) ([8ceb603](https://dev.azure.com/dwrdev/_git/projector/commit/8ceb6037209883d79e50714a5dc73846f9c2792c))
* Set environment variable to fail tests on unhandled promise rejection ([#64](projector-cli/projector/issues/64)) ([9f5b68c](https://dev.azure.com/dwrdev/_git/projector/commit/9f5b68c54f3934c2e8fc5f6032e462ebfce574f5))
* Update init to include repo config ([#60](projector-cli/projector/issues/60)) ([d32b5c2](https://dev.azure.com/dwrdev/_git/projector/commit/d32b5c22bb5f8797b5a9cbf6f37ff4c6ff984d80))
* update linting errors in UserUtils and downloadTemplates ([aa49aa8](https://dev.azure.com/dwrdev/_git/projector/commit/aa49aa89d66da605fa05c45f4ebc224f9fe74394))

### [0.12.3](https://dev.azure.com/dwrdev/_git/projector/branchCompare?baseVersion=GTv0.12.2&targetVersion=GTv0.12.3) (2021-04-17)

### [0.12.2](https://dev.azure.com/dwrdev/_git/projector/branchCompare?baseVersion=GTv0.12.1&targetVersion=GTv0.12.2) (2021-04-17)

### 0.12.1 (2021-04-16)

### Features

* add ability to create project ([#50](projector-cli/projector/issues/50)) ([a51a790](https://dev.azure.com/dwrdev/_git/projector/commit/a51a790238fafdceea46e64667e9f7f96c94d6d6)), closes [#48](projector-cli/projector/issues/48)
* AzDO Work Item Creation ([#27](projector-cli/projector/issues/27)) ([0ee09e3](https://dev.azure.com/dwrdev/_git/projector/commit/0ee09e3d9c17b922cd5e390be75f49dab6274b09))
* Azure DevOps Repo CRUD Operations ([#35](projector-cli/projector/issues/35)) ([5cd6bf0](https://dev.azure.com/dwrdev/_git/projector/commit/5cd6bf088d026ec14a98d31b03ff5c6776594f1d))
* Copy content from playbook ([0081572](https://dev.azure.com/dwrdev/_git/projector/commit/00815722cb6ad56966c9f0e6901d5c311e4e0118))
* Copy work item templates from playbook repo and fix broken tests ([#73](projector-cli/projector/issues/73)) ([3e40418](https://dev.azure.com/dwrdev/_git/projector/commit/3e404181cff3ab5f7584c4a2613f45565ac68aa5))
* Create repo command ([#49](projector-cli/projector/issues/49)) ([f709082](https://dev.azure.com/dwrdev/_git/projector/commit/f70908288d40dd59b2e56e954c524d9d75742381))
* Creating sprints from CLI and rename to agile ([#13](projector-cli/projector/issues/13)) ([a5c94d9](https://dev.azure.com/dwrdev/_git/projector/commit/a5c94d9d9bd26467b6bc36d9fd7fd8ae84d0d505))
* Creating Sprints in Azure DevOps ([#12](projector-cli/projector/issues/12)) ([868e031](https://dev.azure.com/dwrdev/_git/projector/commit/868e0317caaf984c98cbcdd98438023e4c4d2ceb))
* GitHub Agile Provider ([#74](projector-cli/projector/issues/74)) ([02088cd](https://dev.azure.com/dwrdev/_git/projector/commit/02088cd71f2dbd291ad3cb2679c228445237dfc2))
* Onboarding script ([#3](projector-cli/projector/issues/3)) ([25e864b](https://dev.azure.com/dwrdev/_git/projector/commit/25e864b4e3599ad0040bb4a973f96125fee8cb8a))
* Playbook template list ([#41](projector-cli/projector/issues/41)) ([86f2d94](https://dev.azure.com/dwrdev/_git/projector/commit/86f2d943b0df95bb9144033d2e798f2abb6ed3af))
* Repo Service Implementation ([5117c6f](https://dev.azure.com/dwrdev/_git/projector/commit/5117c6f4fa8108ce30439b2187cd43560496813d))
* String interpolation ([#41](projector-cli/projector/issues/41)) ([f25010b](https://dev.azure.com/dwrdev/_git/projector/commit/f25010bfd110938f21d73c0600acd87e583ba84a))

### Bug Fixes

* Better user messages ([#55](projector-cli/projector/issues/55)) ([8527df1](https://dev.azure.com/dwrdev/_git/projector/commit/8527df1a8e0c9f97dbf10141952c7aa9beb67ce1))
* Fix code smells from static analysis ([#38](projector-cli/projector/issues/38)) ([09f4f87](https://dev.azure.com/dwrdev/_git/projector/commit/09f4f877228a100af7313fb3baf70f61f7276eae))
* Fix linting issues ([#75](projector-cli/projector/issues/75)) ([08d2240](https://dev.azure.com/dwrdev/_git/projector/commit/08d2240d287e0ce478b8bb16e75a8e63f85ea3d2))
* number of sprints bug ([#54](projector-cli/projector/issues/54)) ([a2b5ba2](https://dev.azure.com/dwrdev/_git/projector/commit/a2b5ba25129e862808642e2ce9544b07618e73f3))
* README and CI polishing ([6ee0c09](https://dev.azure.com/dwrdev/_git/projector/commit/6ee0c0996f536219cf6545f7b03d06a69c9b8d8e))
* Remove sprint name pattern configuration ([#45](projector-cli/projector/issues/45)) ([4fc8cd1](https://dev.azure.com/dwrdev/_git/projector/commit/4fc8cd19d8f86350b4ea862318ef9a5c021d72cb))
* Removes catch to log pattern. ([#15](projector-cli/projector/issues/15)) ([2e43ce6](https://dev.azure.com/dwrdev/_git/projector/commit/2e43ce6e3831a4c3e8025a32067b8417153dd674))
* Rename RegisterBacklogServiceProviders ([#28](projector-cli/projector/issues/28)) ([8ceb603](https://dev.azure.com/dwrdev/_git/projector/commit/8ceb6037209883d79e50714a5dc73846f9c2792c))
* Set environment variable to fail tests on unhandled promise rejection ([#64](projector-cli/projector/issues/64)) ([9f5b68c](https://dev.azure.com/dwrdev/_git/projector/commit/9f5b68c54f3934c2e8fc5f6032e462ebfce574f5))
* Testing standard versioning ([61bd4f9](https://dev.azure.com/dwrdev/_git/projector/commit/61bd4f9844d5e681807a1dc42b3ace71bd5d3ebb))
* Update init to include repo config ([#60](projector-cli/projector/issues/60)) ([d32b5c2](https://dev.azure.com/dwrdev/_git/projector/commit/d32b5c22bb5f8797b5a9cbf6f37ff4c6ff984d80))

### [0.0.4](https://dev.azure.com/dwrdev/_git/projector/branchCompare?baseVersion=GTv0.0.3&targetVersion=GTv0.0.4) (2021-04-16)

### 0.0.3 (2021-04-16)

### Features

* add ability to create project (#50) ([a51a790](https://dev.azure.com/dwrdev/_git/projector/commit/a51a790238fafdceea46e64667e9f7f96c94d6d6))
* AzDO Work Item Creation (#27) ([0ee09e3](https://dev.azure.com/dwrdev/_git/projector/commit/0ee09e3d9c17b922cd5e390be75f49dab6274b09))
* Azure DevOps Repo CRUD Operations (#35) ([5cd6bf0](https://dev.azure.com/dwrdev/_git/projector/commit/5cd6bf088d026ec14a98d31b03ff5c6776594f1d))
* Copy content from playbook ([0081572](https://dev.azure.com/dwrdev/_git/projector/commit/00815722cb6ad56966c9f0e6901d5c311e4e0118))
* Copy work item templates from playbook repo and fix broken tests (#73) ([3e40418](https://dev.azure.com/dwrdev/_git/projector/commit/3e404181cff3ab5f7584c4a2613f45565ac68aa5))
* Create repo command (#49) ([f709082](https://dev.azure.com/dwrdev/_git/projector/commit/f70908288d40dd59b2e56e954c524d9d75742381))
* Creating sprints from CLI and rename to agile (#13) ([a5c94d9](https://dev.azure.com/dwrdev/_git/projector/commit/a5c94d9d9bd26467b6bc36d9fd7fd8ae84d0d505))
* Creating Sprints in Azure DevOps (#12) ([868e031](https://dev.azure.com/dwrdev/_git/projector/commit/868e0317caaf984c98cbcdd98438023e4c4d2ceb))
* GitHub Agile Provider (#74) ([02088cd](https://dev.azure.com/dwrdev/_git/projector/commit/02088cd71f2dbd291ad3cb2679c228445237dfc2))
* Onboarding script (#3) ([25e864b](https://dev.azure.com/dwrdev/_git/projector/commit/25e864b4e3599ad0040bb4a973f96125fee8cb8a))
* Playbook template list (#41) ([86f2d94](https://dev.azure.com/dwrdev/_git/projector/commit/86f2d943b0df95bb9144033d2e798f2abb6ed3af))
* Repo Service Implementation ([5117c6f](https://dev.azure.com/dwrdev/_git/projector/commit/5117c6f4fa8108ce30439b2187cd43560496813d))
* String interpolation (#41) ([f25010b](https://dev.azure.com/dwrdev/_git/projector/commit/f25010bfd110938f21d73c0600acd87e583ba84a))

### Bug Fixes

* Better user messages (#55) ([8527df1](https://dev.azure.com/dwrdev/_git/projector/commit/8527df1a8e0c9f97dbf10141952c7aa9beb67ce1))
* Fix code smells from static analysis (#38) ([09f4f87](https://dev.azure.com/dwrdev/_git/projector/commit/09f4f877228a100af7313fb3baf70f61f7276eae))
* Fix linting issues (#75) ([08d2240](https://dev.azure.com/dwrdev/_git/projector/commit/08d2240d287e0ce478b8bb16e75a8e63f85ea3d2))
* number of sprints bug (#54) ([a2b5ba2](https://dev.azure.com/dwrdev/_git/projector/commit/a2b5ba25129e862808642e2ce9544b07618e73f3))
* README and CI polishing ([6ee0c09](https://dev.azure.com/dwrdev/_git/projector/commit/6ee0c0996f536219cf6545f7b03d06a69c9b8d8e))
* Remove sprint name pattern configuration (#45) ([4fc8cd1](https://dev.azure.com/dwrdev/_git/projector/commit/4fc8cd19d8f86350b4ea862318ef9a5c021d72cb))
* Removes catch to log pattern. (#15) ([2e43ce6](https://dev.azure.com/dwrdev/_git/projector/commit/2e43ce6e3831a4c3e8025a32067b8417153dd674))
* Rename RegisterBacklogServiceProviders (#28) ([8ceb603](https://dev.azure.com/dwrdev/_git/projector/commit/8ceb6037209883d79e50714a5dc73846f9c2792c))
* Set environment variable to fail tests on unhandled promise rejection (#64) ([9f5b68c](https://dev.azure.com/dwrdev/_git/projector/commit/9f5b68c54f3934c2e8fc5f6032e462ebfce574f5))
* Update init to include repo config (#60) ([d32b5c2](https://dev.azure.com/dwrdev/_git/projector/commit/d32b5c22bb5f8797b5a9cbf6f37ff4c6ff984d80))

### 0.0.2 (2021-04-16)

### Features

* add ability to create project ([#50](projector-cli/projector/issues/50)) ([a51a790](https://dev.azure.com/dwrdev/_git/projector/commit/a51a790238fafdceea46e64667e9f7f96c94d6d6)), closes [#48](projector-cli/projector/issues/48)
* AzDO Work Item Creation ([#27](projector-cli/projector/issues/27)) ([0ee09e3](https://dev.azure.com/dwrdev/_git/projector/commit/0ee09e3d9c17b922cd5e390be75f49dab6274b09))
* Azure DevOps Repo CRUD Operations ([#35](projector-cli/projector/issues/35)) ([5cd6bf0](https://dev.azure.com/dwrdev/_git/projector/commit/5cd6bf088d026ec14a98d31b03ff5c6776594f1d))
* Copy content from playbook ([0081572](https://dev.azure.com/dwrdev/_git/projector/commit/00815722cb6ad56966c9f0e6901d5c311e4e0118))
* Copy work item templates from playbook repo and fix broken tests ([#73](projector-cli/projector/issues/73)) ([3e40418](https://dev.azure.com/dwrdev/_git/projector/commit/3e404181cff3ab5f7584c4a2613f45565ac68aa5))
* Create repo command ([#49](projector-cli/projector/issues/49)) ([f709082](https://dev.azure.com/dwrdev/_git/projector/commit/f70908288d40dd59b2e56e954c524d9d75742381))
* Creating sprints from CLI and rename to agile ([#13](projector-cli/projector/issues/13)) ([a5c94d9](https://dev.azure.com/dwrdev/_git/projector/commit/a5c94d9d9bd26467b6bc36d9fd7fd8ae84d0d505))
* Creating Sprints in Azure DevOps ([#12](projector-cli/projector/issues/12)) ([868e031](https://dev.azure.com/dwrdev/_git/projector/commit/868e0317caaf984c98cbcdd98438023e4c4d2ceb))
* GitHub Agile Provider ([#74](projector-cli/projector/issues/74)) ([02088cd](https://dev.azure.com/dwrdev/_git/projector/commit/02088cd71f2dbd291ad3cb2679c228445237dfc2))
* Onboarding script ([#3](projector-cli/projector/issues/3)) ([25e864b](https://dev.azure.com/dwrdev/_git/projector/commit/25e864b4e3599ad0040bb4a973f96125fee8cb8a))
* Playbook template list ([#41](projector-cli/projector/issues/41)) ([86f2d94](https://dev.azure.com/dwrdev/_git/projector/commit/86f2d943b0df95bb9144033d2e798f2abb6ed3af))
* Repo Service Implementation ([5117c6f](https://dev.azure.com/dwrdev/_git/projector/commit/5117c6f4fa8108ce30439b2187cd43560496813d))
* String interpolation ([#41](projector-cli/projector/issues/41)) ([f25010b](https://dev.azure.com/dwrdev/_git/projector/commit/f25010bfd110938f21d73c0600acd87e583ba84a))

### Bug Fixes

* Better user messages ([#55](projector-cli/projector/issues/55)) ([8527df1](https://dev.azure.com/dwrdev/_git/projector/commit/8527df1a8e0c9f97dbf10141952c7aa9beb67ce1))
* Fix code smells from static analysis ([#38](projector-cli/projector/issues/38)) ([09f4f87](https://dev.azure.com/dwrdev/_git/projector/commit/09f4f877228a100af7313fb3baf70f61f7276eae))
* Fix linting issues ([#75](projector-cli/projector/issues/75)) ([08d2240](https://dev.azure.com/dwrdev/_git/projector/commit/08d2240d287e0ce478b8bb16e75a8e63f85ea3d2))
* number of sprints bug ([#54](projector-cli/projector/issues/54)) ([a2b5ba2](https://dev.azure.com/dwrdev/_git/projector/commit/a2b5ba25129e862808642e2ce9544b07618e73f3))
* README and CI polishing ([6ee0c09](https://dev.azure.com/dwrdev/_git/projector/commit/6ee0c0996f536219cf6545f7b03d06a69c9b8d8e))
* Remove sprint name pattern configuration ([#45](projector-cli/projector/issues/45)) ([4fc8cd1](https://dev.azure.com/dwrdev/_git/projector/commit/4fc8cd19d8f86350b4ea862318ef9a5c021d72cb))
* Removes catch to log pattern. ([#15](projector-cli/projector/issues/15)) ([2e43ce6](https://dev.azure.com/dwrdev/_git/projector/commit/2e43ce6e3831a4c3e8025a32067b8417153dd674))
* Rename RegisterBacklogServiceProviders ([#28](projector-cli/projector/issues/28)) ([8ceb603](https://dev.azure.com/dwrdev/_git/projector/commit/8ceb6037209883d79e50714a5dc73846f9c2792c))
* Set environment variable to fail tests on unhandled promise rejection ([#64](projector-cli/projector/issues/64)) ([9f5b68c](https://dev.azure.com/dwrdev/_git/projector/commit/9f5b68c54f3934c2e8fc5f6032e462ebfce574f5))
* Update init to include repo config ([#60](projector-cli/projector/issues/60)) ([d32b5c2](https://dev.azure.com/dwrdev/_git/projector/commit/d32b5c22bb5f8797b5a9cbf6f37ff4c6ff984d80))

### 0.0.1 (2021-04-16)

### Features

* add ability to create project ([#50](projector-cli/projector/issues/50)) ([a51a790](https://dev.azure.com/dwrdev/_git/projector/commit/a51a790238fafdceea46e64667e9f7f96c94d6d6)), closes [#48](projector-cli/projector/issues/48)
* AzDO Work Item Creation ([#27](projector-cli/projector/issues/27)) ([0ee09e3](https://dev.azure.com/dwrdev/_git/projector/commit/0ee09e3d9c17b922cd5e390be75f49dab6274b09))
* Azure DevOps Repo CRUD Operations ([#35](projector-cli/projector/issues/35)) ([5cd6bf0](https://dev.azure.com/dwrdev/_git/projector/commit/5cd6bf088d026ec14a98d31b03ff5c6776594f1d))
* Copy content from playbook ([0081572](https://dev.azure.com/dwrdev/_git/projector/commit/00815722cb6ad56966c9f0e6901d5c311e4e0118))
* Copy work item templates from playbook repo and fix broken tests ([#73](projector-cli/projector/issues/73)) ([3e40418](https://dev.azure.com/dwrdev/_git/projector/commit/3e404181cff3ab5f7584c4a2613f45565ac68aa5))
* Create repo command ([#49](projector-cli/projector/issues/49)) ([f709082](https://dev.azure.com/dwrdev/_git/projector/commit/f70908288d40dd59b2e56e954c524d9d75742381))
* Creating sprints from CLI and rename to agile ([#13](projector-cli/projector/issues/13)) ([a5c94d9](https://dev.azure.com/dwrdev/_git/projector/commit/a5c94d9d9bd26467b6bc36d9fd7fd8ae84d0d505))
* Creating Sprints in Azure DevOps ([#12](projector-cli/projector/issues/12)) ([868e031](https://dev.azure.com/dwrdev/_git/projector/commit/868e0317caaf984c98cbcdd98438023e4c4d2ceb))
* GitHub Agile Provider ([#74](projector-cli/projector/issues/74)) ([02088cd](https://dev.azure.com/dwrdev/_git/projector/commit/02088cd71f2dbd291ad3cb2679c228445237dfc2))
* Onboarding script ([#3](projector-cli/projector/issues/3)) ([25e864b](https://dev.azure.com/dwrdev/_git/projector/commit/25e864b4e3599ad0040bb4a973f96125fee8cb8a))
* Playbook template list ([#41](projector-cli/projector/issues/41)) ([86f2d94](https://dev.azure.com/dwrdev/_git/projector/commit/86f2d943b0df95bb9144033d2e798f2abb6ed3af))
* Repo Service Implementation ([5117c6f](https://dev.azure.com/dwrdev/_git/projector/commit/5117c6f4fa8108ce30439b2187cd43560496813d))
* String interpolation ([#41](projector-cli/projector/issues/41)) ([f25010b](https://dev.azure.com/dwrdev/_git/projector/commit/f25010bfd110938f21d73c0600acd87e583ba84a))

### Bug Fixes

* Better user messages ([#55](projector-cli/projector/issues/55)) ([8527df1](https://dev.azure.com/dwrdev/_git/projector/commit/8527df1a8e0c9f97dbf10141952c7aa9beb67ce1))
* Fix code smells from static analysis ([#38](projector-cli/projector/issues/38)) ([09f4f87](https://dev.azure.com/dwrdev/_git/projector/commit/09f4f877228a100af7313fb3baf70f61f7276eae))
* Fix linting issues ([#75](projector-cli/projector/issues/75)) ([08d2240](https://dev.azure.com/dwrdev/_git/projector/commit/08d2240d287e0ce478b8bb16e75a8e63f85ea3d2))
* number of sprints bug ([#54](projector-cli/projector/issues/54)) ([a2b5ba2](https://dev.azure.com/dwrdev/_git/projector/commit/a2b5ba25129e862808642e2ce9544b07618e73f3))
* README and CI polishing ([6ee0c09](https://dev.azure.com/dwrdev/_git/projector/commit/6ee0c0996f536219cf6545f7b03d06a69c9b8d8e))
* Remove sprint name pattern configuration ([#45](projector-cli/projector/issues/45)) ([4fc8cd1](https://dev.azure.com/dwrdev/_git/projector/commit/4fc8cd19d8f86350b4ea862318ef9a5c021d72cb))
* Removes catch to log pattern. ([#15](projector-cli/projector/issues/15)) ([2e43ce6](https://dev.azure.com/dwrdev/_git/projector/commit/2e43ce6e3831a4c3e8025a32067b8417153dd674))
* Rename RegisterBacklogServiceProviders ([#28](projector-cli/projector/issues/28)) ([8ceb603](https://dev.azure.com/dwrdev/_git/projector/commit/8ceb6037209883d79e50714a5dc73846f9c2792c))
* Set environment variable to fail tests on unhandled promise rejection ([#64](projector-cli/projector/issues/64)) ([9f5b68c](https://dev.azure.com/dwrdev/_git/projector/commit/9f5b68c54f3934c2e8fc5f6032e462ebfce574f5))
* Update init to include repo config ([#60](projector-cli/projector/issues/60)) ([d32b5c2](https://dev.azure.com/dwrdev/_git/projector/commit/d32b5c22bb5f8797b5a9cbf6f37ff4c6ff984d80))
<!-- markdown-link-check-enable -->