import { Command } from "./command";
import { Link } from "../models/general/link";
/**
 * Create command to open URL in browser
 *
 * @param {Link} link Link
 * @param {string|undefined} path Path after base URL
 * @returns {Command} Command to open url in broswer
 */
export declare function urlCommand(link: Link, path?: string): Command;
