import { ObjectService } from "../../services";
import { AgileService, BacklogItemTemplate } from "../agile";
import { ProjectorConfig } from "../config";
import { PlaybookService } from "../playbook";
import { RepoService } from "../repo";
import { Parameters } from "./parameters";
export interface ServiceCollection {
    agileService?: AgileService;
    repoService?: RepoService;
    playbookService: PlaybookService;
    backlogItemTemplateService: ObjectService<BacklogItemTemplate>;
    parameterService: ObjectService<Parameters>;
    projectorConfigService: ObjectService<ProjectorConfig>;
    contentService: ObjectService<string>;
}
