"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.gitHubOwnerInteractiveOption = void 0;
const constants_1 = require("../../../constants");
exports.gitHubOwnerInteractiveOption = {
    shortName: "-o",
    longName: "--github-owner",
    description: "Owner of GitHub account (organization or account name)",
    configKey: constants_1.ConfigKey.GitHubOwner,
    prompt: "What is the GitHub owner name? (organization or account name)",
};
