"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.userStory = void 0;
const models_1 = require("../../../models");
exports.userStory = {
    name: "As a developer, I have automated linting to enforce code style for the protected branches of the ______ project",
    type: models_1.BacklogItemType.Story,
    description: "We need linting. Linting is good",
    acceptanceCriteria: [
        "There is a single command to run linting from the terminal",
        "Linting is triggered on all pull requests to protected branches",
        "Linting failure causes CI pipeline to fail",
        "CI failure blocks PR merge",
    ],
    assignedTo: "john.stockton@microsoft.com",
    children: [
        {
            name: "Configure linter",
            type: models_1.BacklogItemType.Task,
        },
        {
            name: "Set up linting in CI pipeline",
            type: models_1.BacklogItemType.Task,
        },
    ],
};
