import { ObjectService } from "..";
import { BacklogItemTemplate, PlaybookService, RepoItem, RepoService, RepoTemplate } from "../../models";
export declare class CodeWithPlaybookService implements PlaybookService {
    private repoService;
    private contentService;
    private playbookRepoName;
    constructor(repoService: RepoService, contentService: ObjectService<string>);
    getBacklogItemTemplates(): Promise<BacklogItemTemplate[]>;
    getTemplates(): Promise<RepoTemplate[]>;
    getRepoItem(templateName: string, includeContent?: boolean): Promise<RepoItem>;
    downloadTemplate(localRelativePath: string, template: RepoTemplate): Promise<void>;
}
