"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConfigKey = void 0;
var ConfigKey;
(function (ConfigKey) {
    // Agile Configuration Keys
    ConfigKey["AgileServiceProvider"] = "agile.serviceProvider";
    ConfigKey["AgileBoardColumns"] = "agile.board.columns";
    ConfigKey["AgileBoardFirstColumn"] = "agile.board.firstColumn";
    ConfigKey["AgileDefaultSprintLength"] = "agile.sprints.defaultSprintLength";
    ConfigKey["AgileDefaultNumberOfSprints"] = "agile.sprints.defaultNumberOfSprints";
    ConfigKey["AgileDefaultDaysBetweenSprints"] = "agile.sprints.defaultDaysBetweenSprints";
    ConfigKey["AgileDefaultSprintStartIndex"] = "agile.sprints.defaultSprintStartIndex";
    ConfigKey["AgileDefaultProjectTemplateId"] = "agile.project.templateTypeId";
    ConfigKey["AgileDefaultSourceControl"] = "agile.project.sourceControlType";
    // Azure DevOps Configuration Keys
    ConfigKey["AzDOAccessToken"] = "azdo.accessToken";
    ConfigKey["AzDOBaseUrl"] = "azdo.baseUrl";
    ConfigKey["AzDOProjectName"] = "azdo.projectName";
    // Links Configuration Keys
    ConfigKey["Links"] = "links";
    // GitHub Configuration Keys
    ConfigKey["GithubAccessToken"] = "github.accessToken";
    ConfigKey["GitHubBaseUrl"] = "github.baseUrl";
    ConfigKey["GitHubOwner"] = "github.owner";
    ConfigKey["GitHubRepo"] = "github.repo";
    // Playbook Configuration keys
    ConfigKey["PlaybookOwnerName"] = "playbook.owner";
    ConfigKey["PlaybookRepoName"] = "playbook.repo";
    ConfigKey["PlaybookWorkItemTemplatesPath"] = "playbook.paths.workItemTemplates";
    // Repo Configuration Keys
    ConfigKey["RepoServiceProvider"] = "repo.serviceProvider";
})(ConfigKey = exports.ConfigKey || (exports.ConfigKey = {}));
