import { ProjectorConfig, ServiceCollection } from "../models";
export declare class ServiceCollectionFactory {
    /**
     * Create collection of shared services
     *
     * @param {ProjectorConfig} config Configuration object
     * @returns {ServiceCollection} Service Collection
     */
    static create(config: ProjectorConfig): Promise<ServiceCollection>;
}
