#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dotenv_1 = require("dotenv");
const constants_1 = require("./constants");
dotenv_1.config({
    path: constants_1.FileConstants.envFileName,
});
const path_1 = require("path");
process.env.NODE_CONFIG_DIR = path_1.join(__dirname, "config");
const commands_1 = require("./commands");
commands_1.pjr.parse(process.argv);
