import { ProjectorConfig } from "../config";
import { ServiceCollection } from "./serviceCollection";
/**
 * Command action handler
 */
export declare type ActionHandler<T> = (
/**
 * Collection of services
 */
serviceCollection: ServiceCollection, 
/**
 * Command options
 */
options: T, 
/**
 * Projector configuration
 */
config: ProjectorConfig) => void | Promise<void>;
