"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.agileProviderInteractiveOption = void 0;
const constants_1 = require("../../../constants");
const services_1 = require("../../../services");
exports.agileProviderInteractiveOption = {
    shortName: "-a",
    longName: "--agile-provider",
    description: "Agile Provider",
    configKey: constants_1.ConfigKey.AgileServiceProvider,
    prompt: "Which Agile Provider are you using?",
    choices: [services_1.AgileServiceProvider.AzureDevOps, services_1.AgileServiceProvider.GitHub, services_1.AgileServiceProvider.Jira],
};
