import { ConfigCreationOptions } from "../../commands/commands/config/commands/init/configInit";
import { ProjectorConfig, SharedOptions } from "../../models";
/**
 * Class dealing with the Projector configuration.
 */
export declare class ConfigService {
    static createInitialConfig(options: ConfigCreationOptions): ProjectorConfig;
    static overrideConfigWithOptions(config?: ProjectorConfig, options?: SharedOptions): ProjectorConfig;
    private static createAgileConfig;
    private static createPlaybookConfig;
    private static createRepoConfig;
    private static getProviderOptions;
}
