import { StorageService } from "../../models/storage";
export declare class FileStorageService implements StorageService {
    private static readWriteOptions;
    private defaultWriteLocation;
    constructor(defaultWriteLocation: string);
    find(fileName: string, startingDirectory?: string): Promise<string | undefined>;
    read(fileName: string, directory?: string): Promise<string | undefined>;
    write(fileName: string, content: string, directory?: string): Promise<boolean>;
}
