"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sleep = void 0;
/**
 * Sleep for number of seconds
 *
 * @param {number} seconds Number of seconds to sleep
 * @returns {Promise<void>} Promise
 */
function sleep(seconds) {
    return new Promise((resolve) => {
        setTimeout(() => {
            resolve();
        }, seconds * 1000);
    });
}
exports.sleep = sleep;
